Bug 1276350 - User task comments sorting
Summary: User task comments sorting
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: CR1
: 6.2.0
Assignee: Alessandro Lazarotti
QA Contact: Jakub Schwan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-29 14:09 UTC by Karel Suta
Modified: 2020-03-27 20:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:01:25 UTC
Type: Enhancement


Attachments (Terms of Use)

Description Karel Suta 2015-10-29 14:09:30 UTC
Description of problem:
Retrieving of user task comments (method getCommentsByTaskId(Long taskId) in UserTaskServiceImpl) return list of comments without defined sorting. For lot of databases it isn't an issue as they return comments ordered by id, but for example Oracle database return comments with random ordering.

It would be nice to have consist ordering of comments for all databases all the time.


Version-Release number of selected component (if applicable):
BPMS6.2.0ER4

How reproducible:
Simulated on kie server - test testUserTaskComments() in UserTaskServiceIntegrationTest. If kie server is backed by Oracle database then taskClient.getTaskCommentsByTaskId returns comments in random order - tests count with it so they will pass all the time.

Steps to Reproduce:
1.
2.
3.

Actual results:
Comments are returned in random order.

Expected results:
Comments has consistent order all the time for all databases.

Additional info:

Comment 2 Karel Suta 2015-10-29 14:17:00 UTC
Created PR with fix proposal: https://github.com/droolsjbpm/jbpm/pull/322

Comment 4 Jakub Schwan 2015-11-27 15:02:36 UTC
Verified in 6.2.0 CR1


Note You need to log in before you can comment on or make changes to this bug.